import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';
const jsonUrl =
  'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';

export const useData = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
    json(jsonUrl).then((topoJsonData) => {
      const { countries, land } = topoJsonData.objects;
      setData({
        land: feature(topoJsonData, land),
        interiors: mesh(
          topoJsonData,
          countries,
          (a, b) => a !== b
        ),
      });
    });
  }, []);
  return data;
};
